%define pkg_name        String-Trigram
%define pkg_version     0.1
%define rpm_pkg_version 0.1
%define rpm_pkg_release 3.n0i.3

Summary:       Find similar strings by trigram method
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TA/TAREKA/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This module computes the similarity of two strings based on the trigram
method. This consists of splitting some string into triples of characters
and comparing those to the trigrams of some other string.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.1-3.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.1-2.n0i.2
- automatic rebuild (perl 5.8.8)

* Mon Aug 01 2005 Marius Feraru <altblue@n0i.net> 0.1-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
